{% extends 'Default/printable.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ include('Print/parts/style.html.twig') }}
{% endblock %}

{% block javascripts %}
  <script src="{{ absolute_url(asset('bundles/bazingajstranslation/js/translator.min.js')) }}"></script>
  <script src="{{ url('bazinga_jstranslation_js') }}/messages/{{ app.request.locale }}.js"></script>
  {% for js_file in encore_entry_js_files('print') %}
    <script src="{{ absolute_url(js_file) }}"></script>
  {% endfor %}
{% endblock %}

{% block main_content %}

  <main class="container-fluid px-5">

    {{ include('Print/parts/_header.html.twig') }}

    <div class="row mt-5">
      <div class="col-8">
        <h3>{{ pratica.servizio.name }}</h3>
        {% if pratica.status >= constant('STATUS_PRE_SUBMIT', pratica) %}
          <div class="row mt-4 mb-4">
            <div class="col-4"><strong>{{ 'pratica.dettaglio.data_ora_presentazione'|trans }}</strong></div>
            <div class="col-8">
              {{ pratica.submissionTime|format_date( locale=app.request.locale) }} {{ 'pratica.dettaglio.alle'|trans }} {{ pratica.submissionTime|format_time(pattern='HH:mm:ss', locale=app.request.locale) }}
            </div>
          </div>
        {% endif %}
      </div>
      <div class="col-4">
        <div class="callout{% if pratica.numeroProtocollo %} p-3 mt-1 mb-4{% endif %}">
          <div class="callout-title">{{ 'pratica.numero'|trans }}</div>
          <p class="text-sans-serif">{{ pratica.id }}</p>
        </div>
        {% if pratica.numeroProtocollo and show_protocol_number %}
          <div class="callout danger p-3 mt-1 mb-4">
            <div class="callout-title">{{ 'pratica.protocol_number'|trans }}</div>
            <p class="text-danger text-break text-sans-serif">{{ pratica.numeroProtocollo }}</p>
          </div>
        {% endif %}
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <div id="formio" class="{{ pratica.servizio.builtIn ? 'built-in-printable' : 'printable' }}"
             data-locale="{{ pratica.locale }}"
             data-formserver_url="{{ formserver_public_url }}"
             data-submission="{{ pratica.dematerializedForms.data | json_encode }}"
          {% if pratica.servizio.builtIn %}
            data-url="{{ absolute_url(asset('bundles/app/schemas/' ~ pratica.servizio.identifier ~ '.json')) }}"
          {% else %}
            data-form_id="{{ pratica.servizio.formIoId }}"
          {% endif %}
        ></div>
      </div>
    </div>

    <div class="row page-break-before"></div>

    <div class="row">
      <div class="col-12">
        <div class=" card-header bg-default">{{ 'pratica.pdf.allegati_protocollo'|trans }}</div>
      </div>
    </div>

    {% if attachments|length > 0 %}
      <div class="card-body">
        <div class="row">
          <div class="col-6">
            <p><strong>{{ 'pratica.file_name'|trans }}</strong></p>
          </div>
          <div class="col-6">
            <p><strong>{{ 'pratica.hash'|trans }}</strong></p>
          </div>
          {% for a in attachments %}
          <div class="col-6 text-break">
            <p>{{ a.original_filename }}</p>
          </div>
          <div class="col-6">
            <p>{{ a.hash }}</p>
          </div>
          {% if loop.index % 20 == 0 %}
        </div>
        <div class="row page-break-before"></div>
        <div class="row">
          {% endif %}
          {% endfor %}
        </div>
      </div>
    {% else %}
      <div class="card-body">
        <p><em>{{ 'pratica.nessun_allegato'|trans }}</em></p>
      </div>
    {% endif %}

    {% if attachmentsNoProtocol|length > 0 %}
      <div class="row page-break-before"></div>
      <div class="row">
        <div class="col-12">
          <div class=" card-header bg-default"> {{ 'pratica.pdf.allegati_no_protocollo'|trans }}</div>
        </div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-6">
            <p><strong>{{ 'pratica.file_name'|trans }}</strong></p>
          </div>
          <div class="col-6">
            <p><strong>{{ 'pratica.hash'|trans }} (md5)</strong></p>
          </div>
          {% for a in attachmentsNoProtocol %}
          <div class="col-6">
            <p>{{ a.original_filename }}</p>
          </div>
          <div class="col-6">
            <p>{{ a.hash }}</p>
          </div>
          {% if loop.index % 20 == 0 %}
        </div>
        <div class="row page-break-before"></div>
        <div class="row">
          {% endif %}
          {% endfor %}
        </div>
      </div>
    {% endif %}

    {% if pratica.stamps|length > 0 %}
      <div class="row page-break-before"></div>

      <div class="row">
        <div class="col-12">
          <div class=" card-header bg-default">{{ 'general.stamps' | trans }}</div>
        </div>
      </div>
      <div class="card-body">
        <div class="row mb-3">
          <div class="col-3"><strong>{{ 'servizio.stamps.phase.label' | trans}}</strong></div>
          <div class="col-3"><strong>{{ 'servizio.stamps.reason' | trans }}</strong></div>
          <div class="col-3"><strong>{{ 'servizio.stamps.number' | trans }}</strong></div>
          <div class="col-2"><strong>{{ 'servizio.stamps.emission_date' | trans }}</strong></div>
          <div class="col-1"><strong>{{ 'servizio.stamps.amount' | trans }}</strong></div>
        </div>

        {% for stamp in pratica.stamps %}
          <div class="row">
            <div class="col-3"><p>{{ ('servizio.stamps.phase.data.'~stamp.phase)|trans }}</p></div>
            <div class="col-3"><p>{{ stamp.reason }}</p></div>
            <div class="col-3"><p>{% if stamp.number %}{{ stamp.number }}{% else %} – {% endif %}</p></div>
            <div class="col-2"><p>{% if stamp.emittedAt %}{{ stamp.emittedAt | format_datetime('medium', 'short', locale=app.request.locale) }}{% else %} – {% endif %}</p></div>
            <div class="col-1"><p>{{ stamp.amount|number_format(2) }} €</p></div>
          </div>
        {% endfor %}
      </div>
    {% endif %}


    {{ include('Pratiche/summary/parts/payment_gateway.html.twig', {'pratica':pratica, 'user': pratica.user}) }}

    {% set securityFields = [] %}
    {% if pratica.authenticationData|length > 0 %}
      {% set securityFields = pratica.authenticationData %}
    {#  Elimino recupero da scheda utente perchè la pratica può essere aperta anche da operatore
    {% elseif user is defined  and user.getSecurityFields %}
      {% set securityFields = user.getSecurityFields %}
    #}
    {% endif %}

    {% if securityFields|length %}
      <div class="row" style="padding-top: 40px">
        <div class="col-12">
          <p>{{ 'pratica.pdf.dati_autenticazione'|trans|raw }}</p>
        </div>
        {% for key, value in securityFields %}
          <div class="col-md-3">
            <p><strong>{{ key }}</strong></p>
          </div>
          <div class="col-md-9">
            <p class="text-break"><small>{{ value }}</small></p>
          </div>
        {% endfor %}
      </div>
    {% endif %}

  </main>

  {{ include('Print/parts/_footer.html.twig') }}

{% endblock %}
